org.apache.cassandra.io.sstable

## Class SSTableBoundedScanner

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableScanner
  - - org.apache.cassandra.io.sstable.SSTableBoundedScanner

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<OnDiskAtomIterator>, ICompactionScanner, CloseableIterator<OnDiskAtomIterator>

      public class SSTableBoundedScanner
      extends SSTableScanner

  A SSTableScanner that only reads key in a given range (for validation compaction).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `SSTableBoundedScanner.BoundedKeyScanningIterator`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.io.sstable.SSTableScanner

      `SSTableScanner.FilteredKeyScanningIterator, SSTableScanner.KeyScanningIterator`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.io.sstable.SSTableScanner

      `dfile, exhausted, ifile, iterator, sstable`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `OnDiskAtomIterator` | `next()`
    `void` | `seekTo(RowPosition seekKey)`

    - ### Methods inherited from class org.apache.cassandra.io.sstable.SSTableScanner

      `close, getBackingFiles, getCurrentPosition, getLengthInBytes, remove, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### seekTo

          public void seekTo(RowPosition seekKey)

      Overrides:
        `seekTo` in class `SSTableScanner`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<OnDiskAtomIterator>`
      Overrides:
        `hasNext` in class `SSTableScanner`

    - #### next

          public OnDiskAtomIterator next()

      Specified by:
        `next` in interface `java.util.Iterator<OnDiskAtomIterator>`
      Overrides:
        `next` in class `SSTableScanner`

Copyright © 2014 The Apache Software Foundation